using PhoneToolMX.Data;
using PhoneToolMX.Models;
using PhoneToolMX.Models.ViewModels;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Net.NetworkInformation;
using System.Security.Cryptography;

namespace PhoneToolMX.Models {
    public class Phone: OwnedBase {
        [Required]
        public PhysicalAddress MacAddress { get; set; }
        
        [Header("Name", Primary = true)]
        [Required]
        public string FriendlyName { get; set; }
        
        [AlwaysInclude]
        [Required]
        public PhoneModel Model { get; set; }
        
        [AlwaysInclude]
        public ICollection<Extension> Extensions { get; set; }
        
        public CustomData Background { get; set; }
        public ICollection<CustomData> Ringtones { get; set; }
        
        public Extension PrimaryExtension { get; set; }
    }
}