using System.ComponentModel.DataAnnotations.Schema;

namespace PhoneToolMX.Models
{
    public class PhoneModel
    {
        public int? Id { get; set; }
        
        /// <summary>
        /// The friendly name of the phone (e.g., "Polycom VVX300/310")
        /// </summary>
        public string ModelName { get; set; }
        
        /// <summary>
        /// The maximum lines the phone can support.
        /// </summary>
        public uint MaxExtensions { get; set; }
        
        /// <summary>
        /// This setting impacts whether the model is pre-VVX era.
        /// All Polycom phones that can be provisioned by Polycom UC
        /// before the VVX era (mainly, SPIP phones) have a limit of
        /// 300KiB per ringtone.
        ///
        /// All Polycom phones, VVX or otherwise, have a limit of
        /// 600KiB total across all ringtones.
        /// </summary>
        public bool PreVvxPolycom { get; set; }
    }
}
