using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using PhoneToolMX.Models;
using PhoneToolMX.Data;
using PhoneToolMX.Helpers;
using PhoneToolMX.Models.ViewModels;

namespace PhoneToolMX.Controllers {
    [Authorize]
    public class ExtensionController : BaseController<Extension, ExtensionVM>
    {
        public ExtensionController(UserManager<User> mgr, PTMXContext ctx) : base(mgr, ctx) {}

        protected override private Task PreForm(ExtensionVM e)
        {
            var holdMusics = _context.CustomData.Where(d => d.DataType == CustomDataType.MusicTone).ToList();
            ViewBag.HoldMusics = holdMusics;
            ViewBag.SelectedMusic = e?.HoldMusic == null ? null : holdMusics.FirstOrDefault(d => d.Id == e.HoldMusic);
            return Task.CompletedTask;
        }
    }
}
